﻿// <auto-generated />
using HostGod.Models;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using Npgsql.EntityFrameworkCore.PostgreSQL.Metadata;

namespace HostGod.Migrations
{
    [DbContext(typeof(HostGodContext))]
    [Migration("20200610222443_createdbys")]
    partial class createdbys
    {
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("Npgsql:ValueGenerationStrategy", NpgsqlValueGenerationStrategy.IdentityByDefaultColumn)
                .HasAnnotation("ProductVersion", "3.1.4")
                .HasAnnotation("Relational:MaxIdentifierLength", 63);

            modelBuilder.Entity("HostGod.Entities.Host", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("integer")
                        .HasAnnotation("Npgsql:ValueGenerationStrategy", NpgsqlValueGenerationStrategy.IdentityByDefaultColumn);

                    b.Property<string>("Avatar")
                        .HasColumnType("text");

                    b.Property<int>("CreatedById")
                        .HasColumnType("integer");

                    b.Property<string>("Email")
                        .HasColumnType("text");

                    b.Property<string>("LegalAddress")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<string>("LegalCountry")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<string>("LegalEmail")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<string>("LegalFirstName")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<string>("LegalLastName")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<string>("LegalPhone")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<string>("OficialID")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<string>("Password")
                        .HasColumnType("text");

                    b.Property<string>("PublicEmail")
                        .HasColumnType("text");

                    b.Property<float>("Reputation")
                        .HasColumnType("real");

                    b.Property<string>("Salt")
                        .HasColumnType("text");

                    b.Property<string>("Username")
                        .HasColumnType("text");

                    b.Property<bool>("Verified")
                        .HasColumnType("boolean");

                    b.HasKey("Id");

                    b.ToTable("Hosts");
                });
#pragma warning restore 612, 618
        }
    }
}
